
hci-inline-input {
  .btn {
    width: 2rem;
  }

  .edit-false {
    display: flex;
  }

  .edit-false:hover {
    @include themify($themes) {
      border-color: themed("popup-border-color");
    }
    border-width: 1px;
    border-style: solid;
    border-radius: 0.25rem;
  }

  .edit-false .btn.btn-primary {
    display: none;
  }

  .edit-false:hover .btn.btn-primary {
    display: flex;
    border: none;
  }

  .edit-true {
    display: flex;
    flex-direction: column;
    position: absolute;
    z-index: 900;

    .input-container {
      @include themify($themes) {
        background-color: themed("popup-background-color");
        border-color: themed("popup-border-color");
      }

      border-width: 1px;
      border-style: solid;
      border-radius: 0.25rem;
      padding: 0.25rem;
    }
  }

  .edit-true .btn:not(:first-child) {
    border-top-left-radius: 0;
    border-bottom-left-radius: 0;
  }

  .edit-true .btn:not(:last-child) {
    border-top-right-radius: 0;
    border-bottom-right-radius: 0;
  }
}
